<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>rlRfRxSaturationCqData_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">rlRfRxSaturationCqData_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>RX ADC and IF saturation information.  
 <a href="structrl_rf_rx_saturation_cq_data__t.html#details">More...</a></p>

<p><code>#include &lt;control/mmwavelink/include/rl_monitoring.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a844ce30ac922373582dad2c0f519d12e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a844ce30ac922373582dad2c0f519d12e"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rf_rx_saturation_cq_data__t.html#a844ce30ac922373582dad2c0f519d12e">numSlices</a></td></tr>
<tr class="memdesc:a844ce30ac922373582dad2c0f519d12e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of (primary + secondary) slices to monitor Valid range: 1 to 127. <br /></td></tr>
<tr class="separator:a844ce30ac922373582dad2c0f519d12e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5e31a97b6f3699902d78f60f3a9e36ce"><td class="memItemLeft" align="right" valign="top">rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rf_rx_saturation_cq_data__t.html#a5e31a97b6f3699902d78f60f3a9e36ce">satCqVal</a> [RL_NUM_MON_SLICES_MAX]</td></tr>
<tr class="memdesc:a5e31a97b6f3699902d78f60f3a9e36ce"><td class="mdescLeft">&#160;</td><td class="mdescRight">The analog to digital interface includes a 100 MHz bit stream indicating saturation events in the ADC/IF sections, for each channel. This one-bit indicator for each channel is monitored during the ADC sampling time duration in a time-sliced manner as defined in rlRfRxIfSatMonConfig.<br />
 If Number of Slices configured in rlRfRxSigImgMonConfig is N, then number of Primary slices = (N+1)/2 and number of secondary slices = (N-1)/2 <br />
 For each time slice, a saturation event count is recorded. This count is the sum of saturation event counts across all RX channels selected for monitoring, capped to a maximum count of 255 (8 bits).<br />
 CQ data is stored in 16bit format as follows: P[1], S[1], P[2] S[2]......P[63], S[63], P[64] Where, P[n] = indicates the accumulated saturation count for all enabled RX channels in primary slice n S[n] = indicates the accumulated saturation count for all enabled RX channels in secondary slice n.  <a href="#a5e31a97b6f3699902d78f60f3a9e36ce">More...</a><br /></td></tr>
<tr class="separator:a5e31a97b6f3699902d78f60f3a9e36ce"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>RX ADC and IF saturation information. </p>
</div><h2 class="groupheader">Field Documentation</h2>
<a class="anchor" id="a5e31a97b6f3699902d78f60f3a9e36ce"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">rlUInt8_t rlRfRxSaturationCqData_t::satCqVal[RL_NUM_MON_SLICES_MAX]</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The analog to digital interface includes a 100 MHz bit stream indicating saturation events in the ADC/IF sections, for each channel. This one-bit indicator for each channel is monitored during the ADC sampling time duration in a time-sliced manner as defined in rlRfRxIfSatMonConfig.<br />
 If Number of Slices configured in rlRfRxSigImgMonConfig is N, then number of Primary slices = (N+1)/2 and number of secondary slices = (N-1)/2 <br />
 For each time slice, a saturation event count is recorded. This count is the sum of saturation event counts across all RX channels selected for monitoring, capped to a maximum count of 255 (8 bits).<br />
 CQ data is stored in 16bit format as follows: P[1], S[1], P[2] S[2]......P[63], S[63], P[64] Where, P[n] = indicates the accumulated saturation count for all enabled RX channels in primary slice n S[n] = indicates the accumulated saturation count for all enabled RX channels in secondary slice n. </p>
<p>This data is stored in CQ2 section of CQ RAM. If multiple chirps are defined, then this data is concatenated and stored in CQ RAM in ping pong manner </p><pre class="fragment">      Note: CQ0 section in CQ RAM will contain invalid data and the user should
      to ignore this.</pre> 
</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwavelink/include/rl_monitoring.h</li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
